Get OAuth delegations revocation requests status
Deprecated
Deprecated
This endpoint is deprecated as OAuth token revocation is now synchronous. Please use the DELETE /oauth_delegations endpoint instead.
Get the status of all OAuth delegations revocation requests for this account, specifically how many requests are still pending. As all requests are now synchronous, no pending requests will be found.
This endpoint is limited to account owners and admins.
Scoped OAuth requires: oauth_delegations.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The end of the date range over which you want to search. If not specified, this will default to current time.
date-timeHeader Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
Delete all OAuth delegations DELETE
Delete all OAuth delegations as per provided query parameters. An OAuth delegation represents an instance of a user or account's authorization to an app (via OAuth) to access their PagerDuty account. Common apps include the PagerDuty mobile app, Slack, Microsoft Teams, and third-party apps. It also represents a user session in the PagerDuty web app. Deleting an OAuth delegation will revoke that instance of an app's access to that user or account. To grant access again, reauthorization/reauthentication will be required. This endpoint supports deleting mobile app OAuth delegations for a given user, which is equivalent to signing users out of the mobile app. It also supports deleting delegations of type web, which is equivalent to signing users out of the web app. This is a synchronous API. Scoped OAuth requires: `oauth_delegations.write`
On calls
Next Page